Agent assist
Get Agent Assist
Get agent assist portal data for the latest conversation with a phone number.
GET
/
core
/
agent-assist
/
{phone_number}
Get Agent Assist
curl --request GET \
--url https://api.anyreach.ai/core/agent-assist/{phone_number}import requests
url = "https://api.anyreach.ai/core/agent-assist/{phone_number}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.anyreach.ai/core/agent-assist/{phone_number}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.anyreach.ai/core/agent-assist/{phone_number}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.anyreach.ai/core/agent-assist/{phone_number}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.anyreach.ai/core/agent-assist/{phone_number}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.anyreach.ai/core/agent-assist/{phone_number}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"header": {
"caller_name": "string",
"phone_number": "+14155550123",
"call_duration_seconds": 1,
"sentiment": {
"label": "string",
"level": null
}
},
"transfer_reason": "string",
"call_summary": [
"string"
],
"information_collected": [
{
"key": "string",
"value": "string"
}
],
"suggested_next_steps": [
{
"action": "string",
"confidence": "string"
}
],
"transcript": [
{
"role": "string",
"content": "string",
"markers": []
}
],
"compliance_flags": [
{
"type": "string",
"description": "string"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Headers
Organization ID for user PATs (pat_ prefix tokens)
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Why the call is being transferred to a human agent
3-5 bullet point summary of the call
Key-value pairs of information collected during the call
Show child attributes
Show child attributes
1-3 suggested next steps for the agent
Show child attributes
Show child attributes
Full conversation transcript with markers
Show child attributes
Show child attributes
Compliance flags, empty if none
Show child attributes
Show child attributes
⌘I
Get Agent Assist
curl --request GET \
--url https://api.anyreach.ai/core/agent-assist/{phone_number}import requests
url = "https://api.anyreach.ai/core/agent-assist/{phone_number}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.anyreach.ai/core/agent-assist/{phone_number}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.anyreach.ai/core/agent-assist/{phone_number}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.anyreach.ai/core/agent-assist/{phone_number}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.anyreach.ai/core/agent-assist/{phone_number}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.anyreach.ai/core/agent-assist/{phone_number}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"header": {
"caller_name": "string",
"phone_number": "+14155550123",
"call_duration_seconds": 1,
"sentiment": {
"label": "string",
"level": null
}
},
"transfer_reason": "string",
"call_summary": [
"string"
],
"information_collected": [
{
"key": "string",
"value": "string"
}
],
"suggested_next_steps": [
{
"action": "string",
"confidence": "string"
}
],
"transcript": [
{
"role": "string",
"content": "string",
"markers": []
}
],
"compliance_flags": [
{
"type": "string",
"description": "string"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}
